Python error shown after clicking "Run" on an algorithm in an empty project

2014-12-11 02:38 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20059

Description

Open an empty project - > Click "run" on any algorithm - > Python error. Either a message should be shown or the "Run" button should be

greyed out.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 129, in accept

    self.setParamValues()

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 66, in setParamValues

    raise algHelp.InvalidParameterValue(param,

NameError: global name 'algHelp' is not defined

Python version:

2.7.6 (default, Mar 22 2014, 23:03:41) 

[GCC 4.8.2]

QGIS version:

2.6.1-Brighton Brighton, exported

Python path: ['/usr/share/qgis/python/plugins/processing', '/home/fd/.qgis2/python/plugins/processinglwgeomprovider',

'/usr/share/qgis/python', u'/home/fd/.qgis2/python', u'/home/fd/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7',

'/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload',

'/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode', '/usr/share/qgis/python/plugins/fTools/tools',

'/home/fd/.qgis2/python/plugins/MetaSearch/ext-libs']

Associated revisions

Revision c8b90186 - 2014-12-11 01:36 PM - Alexander Bruy

[processing] fix exception raising (fix #11842)

History

#1 - 2014-12-11 02:40 AM - Filipe Dias

- Subject changed from Python erro shown after clicking run on algorithm in an open project to Python error shown after clicking "Run" on an algorithm in 

an empty project
#2 - 2014-12-11 02:41 AM - Filipe Dias

- Affected QGIS version changed from 2.6.0 to master

#3 - 2014-12-11 04:38 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:c8b90186b1
